FreeMat

- Main Page
- Related Pages

vtkImageContinuousDilate3D

Section: Visualization Toolkit Imaging Classes

# Usage

vtkImageContinuousDilate3D replaces a pixel with the maximum over an ellipsoidal neighborhood. If KernelSize of an axis is 1, no processing is done on that axis.

To create an instance of class vtkImageContinuousDilate3D, simply invoke its constructor as follows

      obj = vtkImageContinuousDilate3D

# Methods

The class vtkImageContinuousDilate3D has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkImageContinuousDilate3D class.

- `string = obj.GetClassName ()` - Construct an instance of vtkImageContinuousDilate3D filter. By default zero values are dilated.
- `int = obj.IsA (string name)` - Construct an instance of vtkImageContinuousDilate3D filter. By default zero values are dilated.
- `vtkImageContinuousDilate3D = obj.NewInstance ()` - Construct an instance of vtkImageContinuousDilate3D filter. By default zero values are dilated.
- `vtkImageContinuousDilate3D = obj.SafeDownCast (vtkObject o)` - Construct an instance of vtkImageContinuousDilate3D filter. By default zero values are dilated.
- `obj.SetKernelSize (int size0, int size1, int size2)` - This method sets the size of the neighborhood. It also sets the default middle of the neighborhood and computes the elliptical foot print.